Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230493 - Autotools include path and defsymbol support should be per configuration
Summary: Autotools include path and defsymbol support should be per configuration
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-cdt
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 23:47 UTC by Jeff Johnston
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 20:09:03 UTC


Attachments (Terms of Use)

Description Jeff Johnston 2007-02-28 23:47:09 UTC
Currently, the Autotools project supports opening header files for an open C
file.  The Autotools adds support for dynamically finding the include path for
the file and opening the appropriate header file.  Similarly, Autotools provides
logic for finding compile-time defined symbols.  If two configurations are
created, the logic for finding these variables is not keeping track of which
configuration is currently open.  Thus, if I find information for a file while
under configuration A and come back to it later, it will have the details as
computed for configuration A, even if I am now in configuration B.  The logic
should cache this data per configuration.

Comment 1 Jeff Johnston 2007-03-14 20:09:03 UTC
A fix has been made to keep scanner info collections seperate for different
configurations.


Note You need to log in before you can comment on or make changes to this bug.